import logging
from collections import namedtuple
from decimal import Decimal

CapturedCurrency = namedtuple("CapturedCurrency", ("name", "source_val", "val", "sci"))


def get_info_from_group(capture_group, mapping) -> CapturedCurrency:
    logging.debug(f"Parsing group: {capture_group}")
    name = capture_group[3]
    if name.lower() in mapping:
        name = mapping[name.lower()]
    str_val = capture_group[0].replace(",", ".")
    val = Decimal(str_val)
    return CapturedCurrency(name, str_val, val, len(f"{val:.2f}") > 30)
